#ifndef ConnectionSet_H
#define ConnectionSet_H

#include <winsock2.h>

class ConnectionSet
{
public:
	ConnectionSet(void);
	~ConnectionSet(void);
	ConnectionSet( const ConnectionSet & other );

	ConnectionSet & operator=(const ConnectionSet & other);

	void clear();
	void addConnection( SOCKET connectionID );
	void removeConnection ( SOCKET connectionID );
	int getMaxNumberOfConnections() const { return fdmax; }
	int pollConnectionStates();
	int gotRequest( SOCKET connectionID );
	SOCKET listenerConnectionID;

private:
	int fdmax;        // maximum file descriptor number
	fd_set connectionSet;
};

#endif
